<ion-view class="acoordion" title="EDITAR TARIFAS" ng-controller="ratesCtrl as ctrl">
	<div class="container" style="padding-top: 50px">

		<div class="row">
			<div class="col-sm-12">
				<h2>TARIFAS</h2>
				<hr>
			</div>
			<!-- agregar nuevo servicio -->
			<div class="col-sm-5">
				<form class="form-horizontal">
					<h4>AGREGAR NUEVA TARIFA:</h4>
					<div class="col-sm-12">
						<div class="form-group">
							<label for="name">TITULO:</label>
							<input type="text" class="form-control" id="title" placeholder="title" ng-model="ctrl.data.title">
						</div>

						<div class="form-group">
							<label>TIPO DE TARIFA:</label>
							<select class="form-control" ng-model="ctrl.data.type">
								<option value="hotel">Hotel</option>
								<option value="aero">Aerolínea</option>
							</select>
						</div>

						<div class="form-group">
							<label>DESCRIPCIÓN:</label>
							<text-angular ng-model="ctrl.data.content"></text-angular>
						</div>

						<div class="form-group">
							<label>SITIO WEB:</label>
							<input type="text" class="form-control" ng-model="ctrl.data.web">
						</div>

						<div class="form-group">
							<label>RESERVAS:</label>
							<input type="text" class="form-control" ng-model="ctrl.data.reservas">
						</div>

					</div>
					<div class="row">
						<div class="col-sm-12">
							<button ng-if="ctrl.data.title && ctrl.data.content" type="submit" class="btn btn-success" ng-click="ctrl.crear()">Create</button>
							<hr>
						</div>
					</div>
				</form>
			</div>
			<!-- listado de servicios -->
			<div class="col-sm-7">
				<div class="row" style="background-color:lightgray;">
					<div class="col-sm-12">
						<h4>TARIFAS AGREGADAS:</h4>
					</div>
					<div class="col-sm-12" ng-repeat="rate in ctrl.rates | orderBy: 'type'">
						<div class="rate">
							<div class="thumbnail">
								<div class="caption">
									<h3 ng-if="ctrl.edit !== rate.$id"><i class="icon" ng-class="rate.type === 'hotel' ? 'ion-bookmark' : 'ion-plane'" ></i> {{rate.title}}</h3>
									<div ng-if="ctrl.edit !== rate.$id" ta-bind="text" ng-model="rate.content"></div>
									<div ng-if="ctrl.edit !== rate.$id && rate.web">Sitio web: {{rate.web}}</div>
									<div ng-if="ctrl.edit !== rate.$id && rate.reservas">Reservas: {{rate.reservas}}</div>
									<!-- edit rate -->
									<form class="form" ng-if="ctrl.edit == rate.$id">
										<div class="form-group">
											<input ng-if="ctrl.edit == rate.$id" type="text" class="form-control" ng-model="rate.title">
										</div>
										<div class="form-group">
											<text-angular ng-model="rate.content"></text-angular>
										</div>
										<div class="form-group">
											<label>SITIO WEB:</label>
											<input type="text" class="form-control" ng-model="rate.web">
										</div>

										<div class="form-group">
											<label>RESERVAS:</label>
											<input type="text" class="form-control" ng-model="rate.reservas">
										</div>
									</form>
									<hr>
									<div class="btn-group" role="group">
										<button type="button" class="btn btn-default" ng-if="ctrl.edit != rate.$id" ng-click="ctrl.edit = rate.$id">Editar</button>
										<button type="button" class="btn btn-default" ng-if="ctrl.edit == rate.$id" ng-click="ctrl.save(rate)">Guardar</button>
										<button type="button" class="btn btn-default" ng-if="!ctrl.checkremove" ng-click="ctrl.checkremove = true">Borrar</button>
										<button type="button" class="btn btn-default" ng-if="ctrl.checkremove" ng-click="ctrl.remove(rate)">Confirmar borrar</button>
										<button type="button" class="btn btn-danger" ng-if="ctrl.checkremove" ng-click="ctrl.checkremove = false">Cancelar</button>
									</div>
								</div>
							</div>

						</div>
					</div>
				</div>
			</div>
		</div>
	</div><!-- /.container -->
</ion-view>
